<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel void selectBasePath(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses int getInapplicable()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchDiffRequestFactory com.intellij.diff.requests.DiffRequest createBadDiffRequest(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile, java.lang.String, com.intellij.openapi.vcs.changes.patch.AppliedTextPatch, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses int getDeleted()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchAction com.intellij.openapi.diff.impl.patch.ApplyPatchStatus applyContent(com.intellij.openapi.project.Project, com.intellij.openapi.diff.impl.patch.apply.ApplyFilePatchBase, com.intellij.openapi.diff.impl.patch.ApplyPatchContext, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vcs.changes.CommitContext, boolean, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3188.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.AppliedTextPatch com.intellij.openapi.vcs.changes.patch.AppliedTextPatch create(java.util.List&lt;com.intellij.openapi.vcs.changes.patch.AppliedTextPatch.AppliedSplitPatchHunk&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.426.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.GitPatchWriter void writeGitHeader(java.io.Writer, java.nio.file.Path, com.intellij.openapi.diff.impl.patch.FilePatch, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.FilePresentationModel com.intellij.openapi.vfs.VirtualFile getVf()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter com.intellij.openapi.vfs.VirtualFile calculateBaseForWritingPatch(com.intellij.openapi.project.Project, java.util.Collection&lt;com.intellij.openapi.vcs.changes.Change&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.AppliedTextPatch">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel void setFileName(java.nio.file.Path)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchDateParser">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.ChangesLegendCalculator void setIncluded(com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog ApplyPatchDifferentiatedDialog(com.intellij.openapi.project.Project, com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor, java.util.List&lt;com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor&gt;, com.intellij.openapi.vcs.changes.patch.ApplyPatchMode, com.intellij.openapi.vfs.VirtualFile, java.util.List&lt;com.intellij.openapi.diff.impl.patch.TextFilePatch&gt;, com.intellij.openapi.vcs.changes.LocalChangeList, java.util.List&lt;com.intellij.openapi.vcs.changes.shelf.ShelvedBinaryFilePatch&gt;, java.util.Collection&lt;com.intellij.openapi.vcs.changes.Change&gt;, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel java.lang.String getBaseDirName()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.DefaultPatchBaseVersionProvider void getBaseVersionContent(com.intellij.openapi.project.Project, java.lang.String, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vcs.FilePath, com.intellij.util.Processor&lt;? super java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel boolean isToClipboard()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts java.lang.String getLocal()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchDiffRequestFactory com.intellij.diff.merge.MergeRequest createBadMergeRequest(com.intellij.openapi.project.Project, com.intellij.openapi.editor.Document, com.intellij.openapi.vfs.VirtualFile, java.lang.String, com.intellij.openapi.vcs.changes.patch.AppliedTextPatch, com.intellij.util.Consumer&lt;com.intellij.diff.merge.MergeResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchDiffRequestFactory com.intellij.diff.merge.MergeRequest createBadMergeRequest(com.intellij.openapi.project.Project, com.intellij.openapi.editor.Document, com.intellij.openapi.vfs.VirtualFile, java.lang.String, com.intellij.openapi.vcs.changes.patch.AppliedTextPatch, java.lang.String, java.lang.String, java.lang.String, java.lang.String, com.intellij.util.Consumer&lt;com.intellij.diff.merge.MergeResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts ApplyPatchForBaseRevisionTexts(java.lang.String, java.lang.String, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchedRevisionNumber">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writePatches(com.intellij.openapi.project.Project, java.lang.String, java.lang.String, java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.CommitContext, java.nio.charset.Charset)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.PatchBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter PatchWriter()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.LazyPatchContentRevision.Data content">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.GitPatchWriter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.ShelfPatchBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchFile">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel void setToClipboard(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.ChangesLegendCalculator int getInapplicable()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor void writePatchToClipboard(com.intellij.openapi.project.Project, java.nio.file.Path, java.util.Collection&lt;? extends com.intellij.openapi.vcs.changes.Change&gt;, java.lang.String, boolean, boolean, com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.PatchBuilder, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor com.intellij.openapi.vcs.changes.CommitSession createCommitSession(com.intellij.openapi.project.Project, com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.PatchBuilder, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses int getAdded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchNameChecker PatchNameChecker()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.PatchBuilder java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt; buildPatches(java.nio.file.Path, java.util.Collection&lt;? extends com.intellij.openapi.vcs.changes.Change&gt;, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.DefaultPatchBaseVersionProvider void getBaseVersionContent(com.intellij.openapi.vcs.FilePath, com.intellij.util.Processor&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writePatches(com.intellij.openapi.project.Project, java.lang.String, java.lang.String, java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.CommitContext, java.nio.charset.Charset, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel void setReverseEnabledAndVisible(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts boolean isAppliedSomehow()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.CreatePatchCommitSession com.intellij.openapi.ui.DialogPanel getAdditionalConfigurationUI(java.util.Collection&lt;? extends com.intellij.openapi.vcs.changes.Change&gt;, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.BinaryPatchWriter void writeBinaries(java.nio.file.Path, java.util.List&lt;com.intellij.openapi.diff.impl.patch.BinaryFilePatch&gt;, java.io.Writer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ShelvedBinaryFilePatchInProgress">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.ChangesLegendCalculator void setTotal(com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchFileType boolean isPatchFile(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel com.intellij.openapi.ui.DialogPanel getPanel()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor void apply(java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.util.containers.MultiMap&lt;com.intellij.openapi.vfs.VirtualFile,T&gt;, com.intellij.openapi.vcs.changes.LocalChangeList, java.lang.String, com.intellij.openapi.util.ThrowableComputable&lt;java.util.Map&lt;java.lang.String,java.util.Map&lt;java.lang.String,java.lang.CharSequence&gt;&gt;,com.intellij.openapi.diff.impl.patch.PatchSyntaxException&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writeAsPatchToClipboard(com.intellij.openapi.project.Project, java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, java.lang.String, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2656.10&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel com.intellij.openapi.project.Project getProject()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writePatches(com.intellij.openapi.project.Project, java.nio.file.Path, java.nio.file.Path, java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.MatchPatchPaths.FileBaseMatch file">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writePatches(com.intellij.openapi.project.Project, java.nio.file.Path, java.nio.file.Path, java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.CommitContext, java.nio.charset.Charset)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses void plusModified()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CommonBinaryFilePatchInProgress">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchFromClipboardAction">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.AbstractFilePatchInProgress java.lang.String getOriginalBeforePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.BinaryPatchWriter void writeBinaries(java.lang.String, java.util.List&lt;com.intellij.openapi.diff.impl.patch.BinaryFilePatch&gt;, java.io.Writer)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.4396.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses void plusDeleted()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.DefaultPatchBuilder">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.CreatePatchCommitSession void validateAndWritePatchToFile(com.intellij.openapi.project.Project, java.nio.file.Path, java.util.Collection&lt;? extends com.intellij.openapi.vcs.changes.Change&gt;, java.lang.String, boolean, java.nio.file.Path, java.nio.charset.Charset, com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor.PatchBuilder, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchNameChecker java.lang.String validateName(java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts boolean isBaseRevisionLoaded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter java.nio.file.Path calculateBaseDirForWritingPatch(com.intellij.openapi.project.Project, java.util.Collection&lt;? extends com.intellij.openapi.vcs.changes.Change&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts create(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vcs.FilePath, com.intellij.openapi.diff.impl.patch.TextFilePatch, java.lang.CharSequence)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.LazyPatchContentRevision.Data patchApplyFailed">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2574.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.LazyPatchContentRevision LazyPatchContentRevision(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.vcs.FilePath, com.intellij.openapi.vcs.changes.patch.PatchedRevisionNumber, com.intellij.openapi.diff.impl.patch.TextFilePatch)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.RelativePathCalculator java.lang.String computeRelativePath(java.lang.String, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchFileType boolean isPatchFile(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.UnshelvePatchDefaultExecutor UnshelvePatchDefaultExecutor(com.intellij.openapi.project.Project, com.intellij.openapi.vcs.changes.shelf.ShelvedChangeList)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3094.26&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchCommitExecutor CreatePatchCommitExecutor(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;201.6668.113&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog ApplyPatchDifferentiatedDialog(com.intellij.openapi.project.Project, com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor&lt;?&gt;, java.util.List&lt;? extends com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor&lt;?&gt;&gt;, com.intellij.openapi.vcs.changes.patch.ApplyPatchMode, com.intellij.openapi.vfs.VirtualFile, java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.ChangeList, java.util.List&lt;com.intellij.openapi.vcs.changes.shelf.ShelvedBinaryFilePatch&gt;, java.util.Collection&lt;com.intellij.openapi.vcs.changes.Change&gt;, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.BlobIndexUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.AbstractFilePatchInProgress.PatchChange boolean isValid()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.MatchPatchPaths java.util.List&lt;com.intellij.openapi.vcs.changes.patch.AbstractFilePatchInProgress&gt; execute(java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchDiffRequestFactory com.intellij.diff.requests.DiffRequest createConflictDiffRequest(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.diff.impl.patch.TextFilePatch, java.lang.String, com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchFileType INSTANCE">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;202.6397.94&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses void plusAdded()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.CreatePatchConfigurationPanel void setCommonParentPath(java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.844.8&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDefaultExecutor void applyAdditionalInfoBefore(com.intellij.openapi.project.Project, com.intellij.openapi.util.ThrowableComputable&lt;java.util.Map&lt;java.lang.String,java.util.Map&lt;java.lang.String,java.lang.CharSequence&gt;&gt;,com.intellij.openapi.diff.impl.patch.PatchSyntaxException&gt;, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;171.1834.9&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.AbstractFilePatchInProgress com.intellij.openapi.vcs.FilePath getFilePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchAction java.lang.Boolean showAndGetApplyPatch(com.intellij.openapi.project.Project, java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchAction java.lang.Boolean showAndGetApplyPatch(com.intellij.openapi.project.Project, java.io.File)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.27642.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchFileDropHandler">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writeAsPatchToClipboard(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, java.lang.String, java.nio.file.Path, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchForBaseRevisionTexts java.lang.String getBase()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.2465.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog ApplyPatchDifferentiatedDialog(com.intellij.openapi.project.Project, com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor&lt;?&gt;, java.util.List&lt;? extends com.intellij.openapi.vcs.changes.patch.ApplyPatchExecutor&lt;?&gt;&gt;, com.intellij.openapi.vcs.changes.patch.ApplyPatchMode, java.util.List&lt;com.intellij.openapi.diff.impl.patch.FilePatch&gt;, com.intellij.openapi.vcs.changes.ChangeList)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog DIMENSION_SERVICE_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;212.4746.92&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writePatches(com.intellij.openapi.project.Project, java.nio.file.Path, java.nio.file.Path, java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, java.lang.String, com.intellij.openapi.vcs.changes.CommitContext, java.nio.charset.Charset)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.BinaryPatchWriter">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;163.3512.7&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses void plusInapplicable()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter boolean shouldForceUnixLineSeparator(com.intellij.openapi.project.Project)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.ApplyPatchDifferentiatedDialog.NamedLegendStatuses int getModified()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;162.74.16&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.MatchPatchPaths.FileBaseMatch score">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.openapi.vcs.changes.patch.PatchWriter void writeAsPatchToClipboard(com.intellij.openapi.project.Project, java.util.List&lt;? extends com.intellij.openapi.diff.impl.patch.FilePatch&gt;, java.nio.file.Path, com.intellij.openapi.vcs.changes.CommitContext)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
</root>
